Subject: Re: [PATCH RFC ipsec-next] IPsec offload, part one

From: Steffen Klassert <[email-masked]>
Date: Wed, 18 Jan 2017 08:59:44 +0100

On Wed, Jan 04, 2017 at 09:23:45AM +0100, Steffen Klassert wrote:
> This is the first part of the IPsec offload work we
> talked at the IPsec workshop at the last netdev
> conference. I plan to apply this to ipsec-next
> after this round of review.
> 
> Patch 1 and 2 try to avoid skb linearization in
> the ESP layer.
> 
> Patch 3 introduces a hepler to seup the esp trailer.

I have not received any comments about patches 1-3,
so I've applied them to ipsec-next.

> 
> Patch 4 prepares the generic network code for
> IPsec GRO. The main reason why we need this, is
> that we need to reinject the decrypted inner
> packet back to the GRO layer.
> 
> Patch 5 introduces GRO handlers for ESP, GRO
> can enabled with a IPsec offload config option.
> This config option will also be used for the
> upcomming hardware offload.

Patches 4 and 5 will be refactored according to
the comments from Eric.